## nx-libs 3.5.99.26

=== Makefile ===
#!/usr/bin/make -f

NULL =

# helpers for "install" target
INSTALL_DIR=install -d -m 755
INSTALL_FILE=install -m 644
INSTALL_PROGRAM=install -m 755
INSTALL_SYMLINK=ln -s -f

# helpers for "build" target
SYMLINK_FILE=ln -f -s

# helpers for "clean" and "uninstall" targets
RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty
RM_DIR_REC=rm -Rf

ETCDIR_NX       ?= /etc/nxagent
PREFIX          ?= /usr/local
BINDIR          ?= $(PREFIX)/bin
LIBDIR          ?= $(PREFIX)/lib
SHLIBDIR        ?= $(LIBDIR)
NXLIBDIR        ?= $(SHLIBDIR)/nx
USRLIBDIR       ?= $(NXLIBDIR)/X11
INCLUDEDIR      ?= $(PREFIX)/include
CONFIGURE       ?= ./configure --prefix="$(PREFIX)"

# check if the xkbcomp devel pkg is available - we need it for the next step
ifneq ($(shell pkg-config --exists xkbcomp && echo yes), yes)
    $(warning xkbcomp devel package missing, using imake default values)
endif
ifneq ($(shell pkg-config --exists fontutil && echo yes), yes)
    $(warning fontutil devel package missing, using imake default values)
endif

ifneq "$(strip $(NX_VERSION_CUSTOM))" ""
    CUSTOM_VERSION_DEFINE = NX_VERSION_CUSTOM="$(NX_VERSION_CUSTOM)"
endif

IMAKE_DEFINES	?=

SHELL:=/bin/bash

NX_X11_HEADERS =		\
	Xlib.h			\
	Xresource.h		\
	Xutil.h			\
	cursorfont.h		\
	Xlibint.h		\
	Xcms.h			\
	Xlocale.h		\
	XKBlib.h		\
	XlibConf.h		\
	Xregion.h		\
	ImUtil.h		\
	$(NULL)

NX_XTRANS_HEADERS =		\
	transport.c		\
	Xtrans.c		\
	Xtrans.h		\
	Xtransint.h		\
	Xtranslcl.c		\
	Xtranssock.c		\
	Xtransutil.c		\
	$(NULL)

all: build

clean: version imakeconfig
	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp clean         || true
	test -f nxproxy/Makefile    && ${MAKE} -C nxproxy clean        || true
	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib clean     || true
	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad clean     || true
	test -d nx-X11              && ${MAKE} clean-env               || true
	test -f nxdialog/Makefile   && ${MAKE} -C nxdialog clean       || true

distclean: clean version imakeconfig
	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp distclean     || true
	test -f nxproxy/Makefile    && ${MAKE} -C nxproxy distclean    || true
	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib distclean || true
	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad distclean || true
	test -d nx-X11              && ${MAKE} -C nx-X11 distclean     || true
	test -f nxdialog/Makefile   && ${MAKE} -C nxdialog distclean   || true
	test -x ./mesa-quilt        && ./mesa-quilt pop -a
	$(RM_DIR_REC) nx-X11/extras/Mesa/.pc/
	$(RM_FILE) nx-X11/config/cf/nxversion.def
	$(RM_FILE) nx-X11/config/cf/nxconfig.def

test:
	echo "No testing for NX (redistributed)"

version:
	# prepare nx-X11/config/cf/nxversion.def
	sed \
	    -e 's/###NX_VERSION_MAJOR###/$(shell ./version.sh 1)/' \
	    -e 's/###NX_VERSION_MINOR###/$(shell ./version.sh 2)/' \
	    -e 's/###NX_VERSION_MICRO###/$(shell ./version.sh 3)/' \
	    -e 's/###NX_VERSION_PATCH###/$(shell ./version.sh 4)/' \
	    nx-X11/config/cf/nxversion.def.in \
	    > nx-X11/config/cf/nxversion.def
ifneq "$(strip $(NX_VERSION_CUSTOM))" ""
	echo '#define NX_VERSION_CUSTOM $(NX_VERSION_CUSTOM)' >>nx-X11/config/cf/nxversion.def
endif

imakeconfig:
	# auto-config some setting

	# check if system supports Xfont2
	(echo "#define HasXfont2 `pkg-config --exists xfont2 && echo YES || echo NO`") >nx-X11/config/cf/nxconfig.def

	# check if system has an _old_ release of Xfont1
	(echo "#define HasLegacyXfont1 `pkg-config --exists 'xfont < 1.4.2' && echo YES || echo NO`") >>nx-X11/config/cf/nxconfig.def

	# check if system has an _old_ release of XextProto
	(echo "#define HasLegacyXextProto `pkg-config --exists 'xextproto < 7.1.0' && echo YES || echo NO`") >>nx-X11/config/cf/nxconfig.def

	# the system's directory with the xkb data and binary files (these
	# needs to be independent of Imake's ProjectRoot or the configure
	# prefix.)
	(pkg-config --exists xkbcomp && echo "#define SystemXkbConfigDir `pkg-config xkbcomp --variable=xkbconfigdir`"; :) >>nx-X11/config/cf/nxconfig.def
	(pkg-config --exists xkbcomp && echo "#define SystemXkbBinDir `pkg-config xkbcomp --variable=prefix`/bin"; :) >>nx-X11/config/cf/nxconfig.def

	(pkg-config --exists fontutil && echo "#define SystemFontRootDir `pkg-config fontutil --variable=fontrootdir`"; :) >>nx-X11/config/cf/nxconfig.def

	# let's create the nx-X11 Makefiles now, once everything has been defined
	$(MAKE) -j1 -C nx-X11 Makefiles IMAKE_DEFINES="$(IMAKE_DEFINES)"

build-env: version imakeconfig
	# prepare Makefiles and the nx-X11 symlinking magic
	${MAKE} -j1 -C nx-X11 BuildIncludes IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# set up environment for libNX_X11 build (X11 header files)
	mkdir -p nx-X11/exports/include/nx-X11/
	for header in $(NX_X11_HEADERS); do \
	    ${SYMLINK_FILE} ../../../lib/include/X11/$${header} nx-X11/exports/include/nx-X11/$${header}; \
	done

	# set up environment for libNX_X11 build (Xtrans header/include files)
	mkdir -p nx-X11/exports/include/nx-X11/Xtrans/
	for header in $(NX_XTRANS_HEADERS); do \
	    ${SYMLINK_FILE} ../../../../lib/include/xtrans/$${header} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

clean-env: version
	for header in $(NX_X11_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/$${header}; \
	done
	for header in $(NX_XTRANS_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

	[ -d exports/include/nx-X11/Xtrans ] && $(RM_DIR) exports/include/nx-X11/Xtrans/ || :
	[ -d exports/include/nx-X11/ ]       && $(RM_DIR) exports/include/nx-X11/        || :

	${MAKE} -j1 -C nx-X11 clean IMAKE_DEFINES="$(IMAKE_DEFINES)"

build-lite:
	cd nxcomp  && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build-full: build-env
# in the full case, we rely on "magic" in the nx-X11 imake-based makefiles...

	# build nxcomp first
	cd nxcomp && autoreconf -vfsi && (${CONFIGURE} $(CUSTOM_VERSION_DEFINE)) && ${MAKE}

	# build libNX_X11 second
	cd nx-X11/lib && autoreconf -vfsi && (${CONFIGURE} $(CUSTOM_VERSION_DEFINE) --disable-poll) && ${MAKE}
	mkdir -p nx-X11/exports/lib/
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so nx-X11/exports/lib/libNX_X11.so
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6 nx-X11/exports/lib/libNX_X11.so.6
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6.3.0 nx-X11/exports/lib/libNX_X11.so.6.3.0

	# build nxcompshad third
	cd nxcompshad && autoreconf -vfsi && (${CONFIGURE} $(CUSTOM_VERSION_DEFINE)) && ${MAKE}

	# build nxagent fourth
	./mesa-quilt push -a
	${MAKE} -j1 -C nx-X11 BuildDependsOnly IMAKE_DEFINES="$(IMAKE_DEFINES)"
	${MAKE} -C nx-X11 World USRLIBDIR="$(USRLIBDIR)" SHLIBDIR="$(SHLIBDIR)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# build nxproxy fifth
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE} $(CUSTOM_VERSION_DEFINE)) && ${MAKE}

	# "build" nxdialog last
	cd nxdialog && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build:
	if ! test -d nx-X11; then \
	    ${MAKE} build-lite; \
	else \
	    ${MAKE} build-full; \
	fi

install:
	$(MAKE) install-lite
	[ ! -d nx-X11 ] || $(MAKE) install-full

install-lite:
	# install nxcomp library
	$(MAKE) -C nxcomp install

	# install the nxproxy executable and its man page
	$(MAKE) -C nxproxy install

install-full:
	$(MAKE) -C nxcompshad install

	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) nx-X11/programs/Xserver/nxagent-relink $(DESTDIR)$(BINDIR)/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) nx-X11/programs/Xserver/Xext/SecurityPolicy $(DESTDIR)$(PREFIX)/share/nx

	# FIXME: Drop this symlink for 3.6.0. Requires that third party frameworks like X2Go have become aware of this...
	$(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/bin
	$(INSTALL_SYMLINK) $(BINDIR)/nxagent $(DESTDIR)$(NXLIBDIR)/bin/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/man/man1/
	$(INSTALL_FILE) nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip $(DESTDIR)$(PREFIX)/share/man/man1/*.1

	# create a clean nx-X11/.build-exports space
	$(RM_DIR_REC) nx-X11/.build-exports
	mkdir -p nx-X11/.build-exports/include
	mkdir -p nx-X11/.build-exports/lib

	# copy headers (for libnx-x11-dev)
	cp -aL nx-X11/exports/include/* nx-X11/.build-exports/include

	# copy libs (for libnx-x11), we want the targets of the links
	. replace.sh; set -x; find nx-X11/exports/lib/ -name "libNX*.so" | while read libpath; do \
	    libfile=$$(basename $$libpath); \
	    libdir=$$(dirname $$libpath); \
	    link=$$(readlink $$libpath); \
	\
	    mkdir -p "$$(string_rep "$$libdir" exports .build-exports)"; \
	    cp -a "$$(string_rep "$$libpath" "$$libfile" "$$link")" "$$(string_rep "$$libdir" exports .build-exports)"; \
	done;

	$(INSTALL_DIR) $(DESTDIR)$(SHLIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(USRLIBDIR)
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6 $(DESTDIR)$(USRLIBDIR)/libX11.so.6
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6.3.0 $(DESTDIR)$(USRLIBDIR)/libX11.so.6.3.0

	. replace.sh; set -x; find nx-X11/.build-exports/include/{nx*,GL} -type d | \
	    while read dirname; do \
	        $(INSTALL_DIR) "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"; \
	        $(INSTALL_FILE) $${dirname}/*.h \
	                        "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"/ || true; \
	    done; \

	$(INSTALL_DIR) $(DESTDIR)/$(ETCDIR_NX)
	$(INSTALL_FILE) etc/keystrokes.cfg $(DESTDIR)/$(ETCDIR_NX)/

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy

	$(MAKE) -C nx-X11/lib install

	# install the nxdialog executable and its man page
	$(MAKE) -C nxdialog install

uninstall:
	$(MAKE) uninstall-lite
	[ ! -d nx-X11 ] || $(MAKE) uninstall-full

uninstall-lite:
	test -f nxcomp/Makefile  && ${MAKE} -C nxcomp "$@"
	test -f nxproxy/Makefile && ${MAKE} -C nxproxy "$@"

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

uninstall-full:
	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad "$@"
	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib "$@"

	$(RM_FILE) $(DESTDIR)$(BINDIR)/nxagent

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

	$(RM_DIR_REC) $(DESTDIR)$(NXLIBDIR)
	$(RM_DIR_REC) $(DESTDIR)$(INCLUDEDIR)/nx

	test -f nxdialog/Makefile && ${MAKE} -C nxdialog "$@"

=== debian/changelog ===
nx-libs (2:3.5.99.26-5) unstable; urgency=medium

  * debian/patches:
    + Add 0006_nx-X11-Add-support-for-riscv64-architecture.patch. Fix FTBFS on
      riscv64. (Closes: #995805).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Oct 2021 13:38:02 +0200

nx-libs (2:3.5.99.26-4) unstable; urgency=medium

  * debian/patches:
    + Add 0005_fix-building-with-binutils-2.36.patch. Fix building against
      binutils >= 2.36.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Sep 2021 13:06:17 +0200

nx-libs (2:3.5.99.26-3) unstable; urgency=medium

  * debian/{control,rules}:
    + Switch to using TI RPC implemenation instead of deprecated SunRPC in
      glibc. (Closes: #992959).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Sep 2021 23:03:42 +0200

nx-libs (2:3.5.99.26-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Compext.c-fix-comparisons-of-16bit-sequence-numbers.patch.
      Compext.c: fix comparisons of 16bit sequence numbers. (Closes:
      #990647).
    + Add 0002_Forward-ClientMessages-to-nxproxy-side.patch.
      Forward ClientMessages to nxproxy side. (Closes: #990649).
    + Add 0003_randr-Do-not-update-ConnectionInfo-if-NULL.patch.
      randr: Do not update ConnectionInfo if NULL (and avoid the nxagent
      Xserver from crashing). (Closes: #990650).
    + Add 0004_document-additional-options-only-nxagent-knows-about.patch.
      Update man page and --help documentation of nxproxy/nxagent.
    + Adjust 0004_document-additional-options-only-nxagent-knows-about.patch.
      Version 3.5.99.26 does not yet have the textclipboard=<bool> session
      parameter.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jul 2021 20:42:32 +0200

nx-libs (2:3.5.99.26-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2002_xserver-xext_set-securitypolicy-path.debian.patch. Not required
      anymore.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 14:46:49 +0100

=== debian/control ===
Source: nx-libs
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
 Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1.1),
 expat,
 libjpeg-dev,
 libpixman-1-dev (>= 0.13.2),
 libpng-dev,
 libtirpc-dev,
 libtool,
 libxcomposite-dev,
 libxdamage-dev,
 libxdmcp-dev,
 libxext-dev,
 libxfixes-dev,
 libxfont-dev (>= 1.4.2),
# libxkbfile-dev is required by xkbcomp.pc, see Debian bug #913359
 libxkbfile-dev,
 libxinerama-dev,
 libxml2-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxtst-dev,
 pkg-config,
 quilt (>= 0.46-7~),
 x11-xkb-utils,
 x11proto-core-dev,
 xutils-dev,
 zlib1g-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/ArcticaProject/nx-libs/
Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git

Package: nx-x11-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 nxagent (<< 2:3.5.0.29-1~),
 nxlibs (<= 3.5.1)
Description: nx-X11 (common files)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides all runtime architecture-independent files for
 nx-X11 Xserver (aka nxagent).

Package: nx-x11proto-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 core wire protocol and auxiliary headers
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the core nx-X11 protocol, and also provides a number of utility headers,
 used to abstract OS-specific functions.

Package: libnx-x11-6
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libx11-data,
 libxcomp3 (= ${binary:Version}),
 nx-x11-common (<< ${source:Version}.1),
 nx-x11-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libnx-x11 (<< 2:3.5.0.29-1~),
 libnx-xau6 (<< 2:3.6.0.0),
 libnx-xcomposite1 (<< 2:3.6.0.0),
 libnx-xdamage1 (<< 2:3.6.0.0),
 libnx-xdmcp6 (<< 2:3.6.0.0),
 libnx-xext6 (<< 2:3.6.0.0),
 libnx-xfixes3 (<< 2:3.6.0.0),
 libnx-xinerama1 (<< 2:3.6.0.0),
 libnx-xpm4 (<< 2:3.6.0.0),
 libnx-xrandr2 (<< 2:3.6.0.0),
 libnx-xrender1 (<< 2:3.6.0.0),
 libnx-xtst6 (<< 2:3.6.0.0),
 nxlibs (<= 3.5.1)
Replaces:
 libnx-xau6,
 libnx-xcomposite1,
 libnx-xdamage1,
 libnx-xdmcp6,
 libnx-xext6,
 libnx-xfixes3,
 libnx-xinerama1,
 libnx-xpm4,
 libnx-xrandr2,
 libnx-xrender1,
 libnx-xtst6,
 nxlibs
Description: nxagent's libNX_X11 client-part library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the libNX_X11 library (a libX11 drop-in
 replacement used by nxagent).

Package: libnx-x11-dev
Provides: libnx-x11-6-dev
Section: libdevel
Architecture: any
Breaks:
 libnx-xau-dev (<< 2:3.6.0.0),
 libnx-xcomposite-dev (<< 2:3.6.0.0),
 libnx-xdamage-dev (<< 2:3.6.0.0),
 libnx-xdmcp-dev (<< 2:3.6.0.0),
 libnx-xext-dev (<< 2:3.6.0.0),
 libnx-xfixes-dev (<< 2:3.6.0.0),
 libnx-xinerama-dev (<< 2:3.6.0.0),
 libnx-xpm-dev (<< 2:3.6.0.0),
 libnx-xrandr-dev (<< 2:3.6.0.0),
 libnx-xrender-dev (<< 2:3.6.0.0),
 libnx-xtst-dev (<< 2:3.6.0.0),
 nxlibs-dev (<=3.5.1)
Replaces:
 libnx-xau-dev,
 libnx-xcomposite-dev,
 libnx-xdamage-dev,
 libnx-xdmcp-dev,
 libnx-xext-dev,
 libnx-xfixes-dev,
 libnx-xinerama-dev,
 libnx-xpm-dev,
 libnx-xrandr-dev,
 libnx-xrender-dev,
 libnx-xtst-dev,
 nxlibs-dev
Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}
Description: nxagent's libNX_X11 client-part library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers of the libNX_X11 library (a
 libX11 drop-in replacement used by nxagent).

Package: nx-x11proto-xext-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks:
 libnx-x11-dev (<< 2:3.5.0.29-1~),
 libnx-xext-dev (<< 2:3.5.99.0~),
 nxlibs (<= 3.5.1)
Description: nx-X11 miscellaneous extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for various extensions, the client-side libraries of which are provided
 in the Xext library.

Package: nx-x11proto-composite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Composite extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Composite extension in nx-X11, used to let arbitrary client
 programs control drawing of the final image.

Package: nx-x11proto-damage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Damage extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Damage extension, used to notify clients of changes made to
 particular areas.

Package: nx-x11proto-xfixes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 'xfixes' extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XFIXES extension.

Package: nx-x11proto-xinerama-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Xinerama extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the XINERAMA extension, used to use and manage a multiple-screen
 display.

Package: nx-x11proto-randr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 RandR extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the RandR extension, used to change display properties such as
 resolution, rotation, reflection, et al, on the fly.

Package: nx-x11proto-render-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: nx-X11 Render extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol for
 the Render extension, used to implement Porter-Duff operations within X.

Package: nx-x11proto-scrnsaver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: libnx-x11-dev (<< 2:3.5.0.29-1~), nxlibs (<= 3.5.1)
Description: nx-X11 Screen Saver extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the MIT-SCREEN-SAVER extension, used to notify the server of client
 screen saver events.

Package: nxagent
Architecture: any
Multi-Arch: foreign
Depends:
 libnx-x11-6 (= ${binary:Version}),
 libxcomp3 (= ${binary:Version}),
 libxcompshad3 (= ${binary:Version}),
 x11-xkb-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: xfonts-base, xkb-data
Breaks: libxcompext3 (<< 2:3.5.99.3~), nxauth
Replaces: libxcompext3, nxauth
Description: Nested Xserver (aka NX Agent) supporting the NX compression protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 nxagent is a nested Xserver providing NX transport of X sessions. The
 application is based on the well known Xnest "nested" server. nxagent,
 like Xnest, is an X server for its own clients, and at the same time, an
 X client for a system's local X server.
 .
 The main scope of nxagent is to eliminate X round-trips or transform
 them into asynchronous replies. nxagent works together with nxproxy.
 nxproxy itself does not make any effort to minimize round-trips
 by itself, this is demanded of nxagent.
 .
 Being an X server, nxagent is able to resolve all the property/atoms related
 requests locally, ensuring that the most common source of round-trips are
 nearly reduced to zero.

Package: nxdialog
Architecture: all
Depends:
 python3,
 python3-gi,
 gir1.2-gtk-3.0,
 x11-xkb-utils,
 ${misc:Depends},
Recommends:
 nxagent,
Breaks:
 nxagent (<< 2:3.5.99.21-2~),
Replaces:
 nxagent (<< 2:3.5.99.21-2~),
Description: Dialogs for NX Agent
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 nxdialog adds dialog windows/menus to nxagent. They get triggered by
 certain actions within the NX Agent Xserver.

Package: nxproxy
Architecture: any
Multi-Arch: foreign
Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: nxauth, qvd-nxproxy
Replaces: nxauth, qvd-nxproxy
Description: NX proxy
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the NX proxy (client) binary.

Package: libxcomp3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: nxcomp (<= 3.5.1), qvd-libxcomp3
Replaces: nxcomp, qvd-libxcomp3
Description: NX compression library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the compression library.

Package: libxcomp-dev
Provides: libxcomp3-dev
Section: libdevel
Architecture: any
Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}
Breaks: nxcomp-dev (<=3.5.1)
Replaces: nxcomp-dev
Description: NX compression library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

export LIBDIR = "/usr/lib/$(DEB_HOST_MULTIARCH)"
export LIBEXECDIR = "$(LIBDIR)/nx/bin"
export INCLUDEDIR = "/usr/include/$(DEB_HOST_MULTIARCH)"

%:
	CONFIGURE="./configure --disable-silent-rules \
	                       --prefix=/usr \
	                       --libdir=$(LIBDIR) \
	                       --includedir=$(INCLUDEDIR) \
	                       --libexecdir=$(LIBEXECDIR) \
	                       --build=$(DEB_BUILD_GNU_TYPE) \
	                       --host=$(DEB_HOST_GNU_TYPE)"  dh $@ --no-parallel --with quilt

override_dh_auto_clean:
	rm -Rf nx-X11/.build-exports
	dh_auto_clean --no-parallel

override_dh_clean:
	dh_clean
	rm -f nx-X11/config/cf/date.def

override_dh_install:

	# strip static libs and remove .la files
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.a

	# remove extras, GL, and other unneeded headers
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/GL/
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XK*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/*Xv*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XRes*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XIproto.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XI.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/Xtrans/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	PREFIX='/usr' dh_auto_install --no-parallel -Smakefile

override_dh_auto_build:

	PREFIX='/usr' dh_auto_build --no-parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))' IMAKE_DEFINES="-DUseTIRPC=1"

override_dh_makeshlibs:
	dh_makeshlibs -n

# Needed for the libX11 RUNPATH/RPATH link-time hack.
# dh_shlibdeps will follow dependencies within binaries and choke
# on the libX11 dependency, since the SONAME (libX11.*) used while linking
# does not match the later detected SONAME (libNX_X11.*) obtained through
# the libX11 -> libNX_X11 compat symlink.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.arctica-project.org/source/nx-libs/nx-libs-(.+)-full\.tar\.gz

## nx-libs 3.5.99.26-0%2Bgit20210204.4362%2B8.release.1

=== debian/changelog ===
nx-libs (2:3.5.99.26-0+git20210204.4362+8.release.1) jessie; urgency=medium

  * Auto-built Debian jessie package for packages.arctica-project.org
    repository (Git commit: 0e2b7971343845248353f6d8503e28506e9536ea).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 04 Feb 2021 14:54:55 +0100

nx-libs (2:3.5.99.26-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 04 Feb 2021 14:34:17 +0100

nx-libs (2:3.5.99.25-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 04 Nov 2020 13:43:53 +0100

nx-libs (2:3.5.99.24-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 31 May 2020 12:54:58 +0200

nx-libs (2:3.5.99.23-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 30 Jan 2020 10:59:43 +0100

nx-libs (2:3.5.99.22-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 27 Aug 2019 15:44:17 +0200

nx-libs (2:3.5.99.21-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 05 Aug 2019 18:25:33 +0200

nx-libs (2:3.5.99.20-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Apr 2019 11:03:42 +0200

nx-libs (2:3.5.99.19-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 01 Mar 2019 15:33:30 +0100

nx-libs (2:3.5.99.18-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 31 Jan 2019 14:09:11 +0100

nx-libs (2:3.5.99.17-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 20 Nov 2018 16:02:49 +0100

nx-libs (2:3.5.99.16-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 16 Mar 2018 23:51:34 +0100

nx-libs (2:3.5.99.15-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Mar 2018 23:46:14 +0100

nx-libs (2:3.5.99.14-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Feb 2018 10:53:17 +0100

nx-libs (2:3.5.99.13-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 16 Jan 2018 15:18:57 +0100

nx-libs (2:3.5.99.12-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Dec 2017 12:23:12 +0100

nx-libs (2:3.5.99.11-0) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Dec 2017 12:01:56 +0100

nx-libs (2:3.5.99.10-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Sep 2017 14:57:20 +0200

nx-libs (2:3.5.99.9-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 30 Aug 2017 19:32:14 +0200

nx-libs (2:3.5.99.8-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 30 Jun 2017 21:21:09 +0200

nx-libs (2:3.5.99.7-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 05 May 2017 00:15:57 +0200

nx-libs (2:3.5.99.6-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 21 Apr 2017 16:24:19 +0200

nx-libs (2:3.5.99.5-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 11 Apr 2017 17:00:28 +0200

nx-libs (2:3.5.99.4-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 24 Feb 2017 22:19:27 +0000

nx-libs (2:3.5.99.3-0.1) unstable; urgency=medium

  * Upstream-provided Debian package for nx-libs.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 19 Dec 2016 15:02:16 +0100

nx-libs (2:3.5.99.2-0.1) unstable; urgency=medium



## nx-libs 3.5.99.26-0%2Bgit20210204.4362%2B9.release.1

=== debian/changelog ===
nx-libs (2:3.5.99.26-0+git20210204.4362+9.release.1) stretch; urgency=medium

  * Auto-built Debian stretch package for packages.arctica-project.org
    repository (Git commit: 0e2b7971343845248353f6d8503e28506e9536ea).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 04 Feb 2021 14:55:52 +0100

## nx-libs 3.5.99.27

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 NULL =
+
+# suppress most make output unless "make VERBOSE=1" has been called
+ifndef VERBOSE
+.SILENT:
+endif
 
 # helpers for "install" target
 INSTALL_DIR=install -d -m 755
@@ -69,14 +74,19 @@
 all: build
 
 clean: version imakeconfig
+	@echo
+	@echo "===> $@"
 	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp clean         || true
 	test -f nxproxy/Makefile    && ${MAKE} -C nxproxy clean        || true
 	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib clean     || true
 	test -f nxcompshad/Makefile && ${MAKE} -C nxcompshad clean     || true
 	test -d nx-X11              && ${MAKE} clean-env               || true
 	test -f nxdialog/Makefile   && ${MAKE} -C nxdialog clean       || true
+	@echo "<=== $@"
 
 distclean: clean version imakeconfig
+	@echo
+	@echo "===> $@"
 	test -f nxcomp/Makefile     && ${MAKE} -C nxcomp distclean     || true
 	test -f nxproxy/Makefile    && ${MAKE} -C nxproxy distclean    || true
 	test -f nx-X11/lib/Makefile && ${MAKE} -C nx-X11/lib distclean || true
@@ -87,9 +97,10 @@
 	$(RM_DIR_REC) nx-X11/extras/Mesa/.pc/
 	$(RM_FILE) nx-X11/config/cf/nxversion.def
 	$(RM_FILE) nx-X11/config/cf/nxconfig.def
+	@echo "<=== $@"
 
 test:
-	echo "No testing for NX (redistributed)"
+	@echo "No testing for NX (redistributed)"
 
 version:
 	# prepare nx-X11/config/cf/nxversion.def
@@ -105,6 +116,8 @@
 endif
 
 imakeconfig:
+	@echo;
+	@echo "===> $@"
 	# auto-config some setting
 
 	# check if system supports Xfont2
@@ -126,8 +139,11 @@
 
 	# let's create the nx-X11 Makefiles now, once everything has been defined
 	$(MAKE) -j1 -C nx-X11 Makefiles IMAKE_DEFINES="$(IMAKE_DEFINES)"
+	@echo "<=== $@"
 
 build-env: version imakeconfig
+	@echo
+	@echo "===> $@"
 	# prepare Makefiles and the nx-X11 symlinking magic
 	${MAKE} -j1 -C nx-X11 BuildIncludes IMAKE_DEFINES="$(IMAKE_DEFINES)"
 
@@ -142,8 +158,11 @@
 	for header in $(NX_XTRANS_HEADERS); do \
 	    ${SYMLINK_FILE} ../../../../lib/include/xtrans/$${header} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
 	done
+	@echo "<=== $@"
 
 clean-env: version
+	@echo
+	@echo "===> $@"
 	for header in $(NX_X11_HEADERS); do \
 	    ${RM_FILE} nx-X11/exports/include/nx-X11/$${header}; \
 	done
@@ -155,13 +174,20 @@
 	[ -d exports/include/nx-X11/ ]       && $(RM_DIR) exports/include/nx-X11/        || :
 
 	${MAKE} -j1 -C nx-X11 clean IMAKE_DEFINES="$(IMAKE_DEFINES)"
+	@echo "<=== $@"
 
 build-lite:
+	@echo
+	@echo "===> $@"
 	cd nxcomp  && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
 	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
+	@echo "<=== $@"
 
 build-full: build-env
 # in the full case, we rely on "magic" in the nx-X11 imake-based makefiles...
+
+	@echo
+	@echo "===> $@"
 
 	# build nxcomp first
 	cd nxcomp && autoreconf -vfsi && (${CONFIGURE} $(CUSTOM_VERSION_DEFINE)) && ${MAKE}
@@ -186,13 +212,17 @@
 
 	# "build" nxdialog last
 	cd nxdialog && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
+	@echo "<=== $@"
 
 build:
+	@echo
+	@echo "===> $@"
 	if ! test -d nx-X11; then \
 	    ${MAKE} build-lite; \
 	else \
 	    ${MAKE} build-full; \
 	fi
+	@echo "<=== $@"
 
 install:
 	$(MAKE) install-lite

=== debian/changelog ===
nx-libs (2:3.5.99.27-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:30 +0200

nx-libs (2:3.5.99.27-2) unstable; urgency=medium

  * debian/patches:
    + Add +0009_dix-Fix-a-warning-about-GetTimeInMillis-return-value.patch.
      (Closes: #1086473).
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.
    + In B-D, switch from pkg-config to pkgconf.
  * debian/libxcomp3t64.doc-base:
    + Fix paths of doc files.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2025 23:07:50 +0100

nx-libs (2:3.5.99.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063218

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:28:17 +0000

nx-libs (2:3.5.99.27-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Drop patches 0001 - 0006. All applied upstream.
    + Add 0007_nx-X11-Add-support-for-loongarch64-architecture.patch. Add
      support for loongarch64 architecture. (Closes: #1050485).
    + Add 0008_nx-X11-programs-Xserver-hw-nxagent-man-nxagent.1-Fix.patch.
      Fix groff error in man page, properly show all text in the keystrokes.cfg
      passage. Thanks, lintian.
    + Mark 200*.patch as Debian-specific.
  * debian/nx-x11-common.{dir,links}:
    + Assure that a symlink from /usr/share/nx/fonts to /usr/share/fonts/X11
      gets provided by the nx-x11-common bin:pkg. (Closes: #1006662).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Remove left-over files after upstream's distclean Makefile target.
      (Closes: #1048385).
  * debian/libnx-x11-6.symbols:
    + Update symbols.
  * lintian:
    + source: Override warning about LICENSE.nxcomp not being listed in
      d/copyright.
    + nxagent: Add custom-library-search-path override for /usr/bin/nxagent.
    + libxcompshad3: Adjust custom-library-search-path override's path syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 10:49:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Mike Gabriel <sunweaver@debian.org>,
  Mihai Moldovan <ionic@ionic.de>,
  Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  autoconf,
  automake,
  debhelper-compat (= 13),
@@ -31,13 +31,13 @@
  libxrandr-dev,
  libxrender-dev,
  libxtst-dev,
- pkg-config,
+ pkgconf,
  quilt (>= 0.46-7~),
  x11-xkb-utils,
  x11proto-core-dev,
  xutils-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ArcticaProject/nx-libs/
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
@@ -73,18 +73,19 @@
  for the core nx-X11 protocol, and also provides a number of utility headers,
  used to abstract OS-specific functions.
 
-Package: libnx-x11-6
+Package: libnx-x11-6t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  libx11-data,
- libxcomp3 (= ${binary:Version}),
+ libxcomp3t64 (= ${binary:Version}),
  nx-x11-common (<< ${source:Version}.1),
  nx-x11-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
+Breaks:libnx-x11-6 (<< ${source:Version}), 
  libnx-x11 (<< 2:3.5.0.29-1~),
  libnx-xau6 (<< 2:3.6.0.0),
  libnx-xcomposite1 (<< 2:3.6.0.0),
@@ -98,7 +99,7 @@
  libnx-xrender1 (<< 2:3.6.0.0),
  libnx-xtst6 (<< 2:3.6.0.0),
  nxlibs (<= 3.5.1)
-Replaces:
+Replaces:libnx-x11-6, 
  libnx-xau6,
  libnx-xcomposite1,
  libnx-xdamage1,
@@ -149,7 +150,7 @@
  libnx-xrender-dev,
  libnx-xtst-dev,
  nxlibs-dev
-Depends: libnx-x11-6 (= ${binary:Version}), ${misc:Depends}
+Depends: libnx-x11-6t64 (= ${binary:Version}), ${misc:Depends}
 Description: nxagent's libNX_X11 client-part library (development headers)
  NX is a software suite which implements very efficient
  compression of the X11 protocol. This increases performance when
@@ -279,9 +280,9 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- libnx-x11-6 (= ${binary:Version}),
- libxcomp3 (= ${binary:Version}),
- libxcompshad3 (= ${binary:Version}),
+ libnx-x11-6t64 (= ${binary:Version}),
+ libxcomp3t64 (= ${binary:Version}),
+ libxcompshad3t64 (= ${binary:Version}),
  x11-xkb-utils,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -332,7 +333,7 @@
 Package: nxproxy
 Architecture: any
 Multi-Arch: foreign
-Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libxcomp3t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: nxauth, qvd-nxproxy
 Replaces: nxauth, qvd-nxproxy
 Description: NX proxy
@@ -342,13 +343,14 @@
  .
  This package provides the NX proxy (client) binary.
 
-Package: libxcomp3
+Package: libxcomp3t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: nxcomp (<= 3.5.1), qvd-libxcomp3
-Replaces: nxcomp, qvd-libxcomp3
+Breaks: libxcomp3 (<< ${source:Version}), nxcomp (<= 3.5.1), qvd-libxcomp3
+Replaces: libxcomp3, nxcomp, qvd-libxcomp3
 Description: NX compression library
  NX is a software suite which implements very efficient
  compression of the X11 protocol. This increases performance when
@@ -360,9 +362,6 @@
 Provides: libxcomp3-dev
 Section: libdevel
 Architecture: any
-Depends: libxcomp3 (= ${binary:Version}), ${misc:Depends}
+Depends: libxcomp3t64 (= ${binary:Version}), ${misc:Depends}
 Breaks: nxcomp-dev (<=3.5.1)
 Replaces: nxcomp-dev
-Description: NX compression library (development headers)
- NX is a software suite which implements very efficient
- compression of the X11 protocol. This increases performance when

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,9 @@
 override_dh_clean:
 	dh_clean
 	rm -f nx-X11/config/cf/date.def
+	rm -f nxproxy/m4/lt*.m4 nxproxy/m4/libtool.m4
+	rm -f nx-X11/lib/include/Makefile
+	rm -f nxcomp/test/Makefile.in
 
 override_dh_install:
